## org.apache.myfaces.lifecycle
Class LifecycleFactoryImpl

    java.lang.Object
      javax.faces.lifecycle.LifecycleFactory
          org.apache.myfaces.lifecycle.LifecycleFactoryImpl

public class LifecycleFactoryImpl
extends javax.faces.lifecycle.LifecycleFactory

Version:
  $Revision: 167257 $ $Date: 2004-10-13 07:51:02 -0400 (Wed, 13 Oct 2004) $
Author:
  Manfred Geiler (latest modification by $Author: matze $), Anton Koinov

Field Summary

Fields inherited from class javax.faces.lifecycle.LifecycleFactory
`DEFAULT_LIFECYCLE`

Constructor Summary
`LifecycleFactoryImpl()`

Method Summary
`void` `addLifecycle(java.lang.String id, javax.faces.lifecycle.Lifecycle lifecycle)`
`javax.faces.lifecycle.Lifecycle` `getLifecycle(java.lang.String id)`
`java.util.Iterator` `getLifecycleIds()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LifecycleFactoryImpl

    public LifecycleFactoryImpl()

Method Detail

### addLifecycle

    public void addLifecycle(java.lang.String id,
                             javax.faces.lifecycle.Lifecycle lifecycle)

### getLifecycle

    public javax.faces.lifecycle.Lifecycle getLifecycle(java.lang.String id)
                                                 throws javax.faces.FacesException

  Throws:
    `javax.faces.FacesException`

### getLifecycleIds

    public java.util.Iterator getLifecycleIds()